package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.loaf.LoafTools;
import com.ynet.life.loaf.jdbc.LoafQueryFactory;
import com.ynet.life.loaf.jdbc.LoafQueryInterface;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.LinkedList;
import java.util.List;
import java.util.StringTokenizer;
import java.util.concurrent.atomic.AtomicInteger;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/QueryValueToKeymap.class */
public class QueryValueToKeymap extends LifeJDBCAction {
    private static final String FIELD_SEPERATOR = "||";
    private String iCollName;
    protected String sql;
    private List key;
    private List outputFields;

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v21, types: [java.util.List, java.util.LinkedList] */
    /* JADX WARN: Type inference failed for: r0v24, types: [java.sql.SQLException] */
    /* JADX WARN: Type inference failed for: r0v26, types: [java.lang.Throwable, com.ynet.life.exception.TranFailException] */
    /* JADX WARN: Type inference failed for: r0v40, types: [boolean] */
    /* JADX WARN: Type inference failed for: r0v5, types: [java.lang.String] */
    /* JADX WARN: Type inference failed for: r0v6, types: [java.lang.Exception] */
    public String execute(Context context) throws GENEException {
        IndexedCollection outputIColl = context.getDataElement(this.iCollName);
        List input = new LinkedList();
        ?? parseQuerySql = LoafTools.parseQuerySql(context, this.sql, input);
        try {
            LoafQueryInterface query = LoafQueryFactory.getNewQuery("", "", (String) parseQuerySql);
            Connection connection = LifeDBAccess.getConnection(getDataSource());
            int totalNum = query.getCount(connection, input);
            Trace.logDebug("LOAF", "查询条件--->".concat(String.valueOf(query)));
            Trace.logDebug("LOAF", "输入参数--->".concat(String.valueOf(input)));
            if (totalNum == 0) {
                return null;
            }
            PreparedStatement ps = null;
            ResultSet resultSet = null;
            parseQuerySql = new LinkedList();
            try {
                try {
                    PreparedStatement queryStatement = query.getQueryStatement(connection, input);
                    ps = queryStatement;
                    resultSet = queryStatement.executeQuery();
                    List<KeyedCollection> obj = new ArrayList<>();
                    while (resultSet.next()) {
                        int i = 0;
                        while (true) {
                            if (i >= outputIColl.size()) {
                                break;
                            }
                            boolean sameFlag = false;
                            KeyedCollection map = (KeyedCollection) outputIColl.get(i);
                            int cc = 0;
                            while (true) {
                                if (cc >= this.key.size()) {
                                    break;
                                }
                                if (!map.get(this.key.get(cc)).equals(resultSet.getString(cc + 1))) {
                                    cc++;
                                } else {
                                    parseQuerySql.add(Integer.valueOf(i));
                                    obj.add(map);
                                    sameFlag = true;
                                    break;
                                }
                            }
                            if (!sameFlag) {
                                i++;
                            } else {
                                AtomicInteger resultCount = new AtomicInteger(this.key.size());
                                for (int j = 0; j < this.outputFields.size(); j++) {
                                    System.out.println(String.valueOf(resultSet.getString(resultCount.get())) + "===");
                                    map.put(this.outputFields.get(j), resultSet.getString(resultCount.get()));
                                    resultCount.getAndIncrement();
                                }
                            }
                        }
                    }
                    Collections.sort(parseQuerySql, new Comparator<Integer>() { // from class: com.ynet.life.action.QueryValueToKeymap.1
                        @Override // java.util.Comparator
                        public int compare(Integer i0, Integer i1) {
                            return (-i0.intValue()) + i1.intValue();
                        }
                    });
                    for (int i2 = 0; i2 < parseQuerySql.size(); i2++) {
                        int a = ((Integer) parseQuerySql.get(i2)).intValue();
                        outputIColl.remove(a);
                    }
                    obj.addAll(outputIColl);
                    outputIColl.removeAll();
                    parseQuerySql = outputIColl.addAll(obj);
                    LifeDBAccess.cleanResources(ps, resultSet);
                    return null;
                } catch (SQLException ex) {
                    parseQuerySql.printStackTrace();
                    Trace.logError("LifeAction", ex.getMessage());
                    parseQuerySql = new TranFailException("EBLN0000", ex);
                    throw parseQuerySql;
                }
            } catch (Throwable th) {
                LifeDBAccess.cleanResources(ps, resultSet);
                throw th;
            }
        } catch (Exception e) {
            parseQuerySql.printStackTrace();
            Trace.logError("LifeAction", e.getMessage());
            return null;
        }
    }

    public void setICollName(String iCollName) {
        this.iCollName = iCollName;
    }

    public void setSql(String sql) {
        this.sql = sql;
    }

    public void setOutputFields(String outputFields) {
        List result = new ArrayList();
        StringTokenizer toke = new StringTokenizer(outputFields, FIELD_SEPERATOR);
        while (toke.hasMoreElements()) {
            String input = ((String) toke.nextElement()).trim();
            result.add(input);
        }
        this.outputFields = result;
    }

    public void setKey(String key) {
        List result = new ArrayList();
        StringTokenizer toke = new StringTokenizer(key, FIELD_SEPERATOR);
        while (toke.hasMoreElements()) {
            String input = ((String) toke.nextElement()).trim();
            result.add(input);
        }
        this.key = result;
    }

    public static void main(String[] args) {
        List<Integer> il = new LinkedList<>();
        il.add(1);
        il.add(11);
        il.add(111);
        il.add(11);
        il.add(111);
        il.add(122);
        Collections.sort(il, new Comparator<Integer>() { // from class: com.ynet.life.action.QueryValueToKeymap.2
            @Override // java.util.Comparator
            public int compare(Integer i0, Integer i1) {
                return i0.intValue() - i1.intValue();
            }
        });
        for (Integer a : il) {
            System.out.println(a);
        }
    }
}
